
From: OGAWA Hirofumi <hirofumi@mail.parknet.co.jp>

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: OGAWA Hirofumi <hirofumi@mail.parknet.co.jp>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/fat/cache.c           |    2 +-
 25-akpm/include/linux/msdos_fs.h |    1 -
 2 files changed, 1 insertion(+), 2 deletions(-)

diff -puN fs/fat/cache.c~fat-fs-fat-cachec-make-__fat_access-static fs/fat/cache.c
--- 25/fs/fat/cache.c~fat-fs-fat-cachec-make-__fat_access-static	Tue Jan 18 14:53:43 2005
+++ 25-akpm/fs/fat/cache.c	Tue Jan 18 14:53:43 2005
@@ -203,7 +203,7 @@ void fat_cache_inval_inode(struct inode 
 	spin_unlock(&MSDOS_I(inode)->cache_lru_lock);
 }
 
-int __fat_access(struct super_block *sb, int nr, int new_value)
+static int __fat_access(struct super_block *sb, int nr, int new_value)
 {
 	struct msdos_sb_info *sbi = MSDOS_SB(sb);
 	struct buffer_head *bh, *bh2, *c_bh, *c_bh2;
diff -puN include/linux/msdos_fs.h~fat-fs-fat-cachec-make-__fat_access-static include/linux/msdos_fs.h
--- 25/include/linux/msdos_fs.h~fat-fs-fat-cachec-make-__fat_access-static	Tue Jan 18 14:53:43 2005
+++ 25-akpm/include/linux/msdos_fs.h	Tue Jan 18 14:53:43 2005
@@ -306,7 +306,6 @@ static inline void fatwchar_to16(__u8 *d
 
 /* fat/cache.c */
 extern int fat_access(struct super_block *sb, int nr, int new_value);
-extern int __fat_access(struct super_block *sb, int nr, int new_value);
 extern int fat_bmap(struct inode *inode, sector_t sector, sector_t *phys);
 extern void fat_cache_inval_inode(struct inode *inode);
 extern int fat_get_cluster(struct inode *inode, int cluster,
_
